Bug 871553 - Error printing during an upgrade
Error printing during an upgrade
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-setup (Show other bugs)
3.0.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alex Lourie
Tareq Alayan
integration
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-30 13:08 EDT by Ohad Basan
Modified: 2014-10-30 18:34 EDT (History)
9 users (show)

See Also:
Fixed In Version: si24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:02:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ohad Basan 2012-10-30 13:08:47 EDT
Description of problem:
when upgrading from 3.0 to 3.1 (si23)
while async tasks are running 
an error message is displayed after choosing to quit the upgrade with letting async tasks finish

('Backup copy "%s" of "%s" doesn\'t exist.', '/var/lib/jbossas/server/rhevm-slimmed/deploy/jb
ossweb.sar/server.xml.backup', '/var/lib/jbossas/server/rhevm-slimmed/deploy/jbossweb.sar/ser
ver.xml')

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.install rhevm 3.0
2.start an async task
3.run upgrade. 
4. when asked to quit the setup or continue - chose quit
  
Actual results:
an error appears:
('Backup copy "%s" of "%s" doesn\'t exist.', '/var/lib/jbossas/server/rhevm-slimmed/deploy/jb
ossweb.sar/server.xml.backup', '/var/lib/jbossas/server/rhevm-slimmed/deploy/jbossweb.sar/ser
ver.xml')

Expected results:

A more comprehensive error should appear instead.
Additional info:
Comment 1 Alex Lourie 2012-10-31 07:04:44 EDT
Fix uploaded for review: http://gerrit.ovirt.org/8952
Comment 4 Tareq Alayan 2012-11-13 11:31:12 EST
verified, 

when say no to updates: the message is "Upgrade stopped, Goodbye."

when there is an async task and user say no: 
the message is User decided not to stop running system tasks. Stopping upgrade

Note You need to log in before you can comment on or make changes to this bug.